# Variable restore

restore: (
fnm: string,
loadAndSaveNewPlugin: (plugin: Plugin) => void,
restore_first_user?: boolean,
password?: string,
) => Promise<string | void>

#### Type Declaration

- - (
    fnm: string,
    loadAndSaveNewPlugin: (plugin: Plugin) => void,
    restore_first_user?: boolean,
    password?: string,
    ): Promise<string | void>

  - Restore from backup

    #### Parameters

    - fnm: string
    - loadAndSaveNewPlugin: (plugin: Plugin) => void
    - `Optional` restore_first_user: boolean
    - `Optional` password: string

    #### Returns Promise<string | void>

- Defined in index.ts:13